<?php

/**
 * Cart overrides settings form
 */
function commerce_cart_view_override_admin_settings($form, &$form_state) {
  // Get all eligible view options
  $cart_view_options = array();
  foreach (views_get_all_views() as $view_name => $view) {
    if ($view->base_table == 'commerce_order' && ($view_name == 'commerce_cart_form' || strpos($view_name, 'commerce_cart_form_') === 0)) {
      $cart_view_options[$view_name] = isset($view->human_name) ? check_plain($view->human_name) : $view_name;
    }
  }

  $description = t('A cart page view must have: <ol><li>A base table of Commerce Order</li><li>A view machine name that is "commerce_cart_form" or starts with "commerce_cart_form_"</li></ol>');
  if (empty($cart_view_options)) {
    $form['commerce_cart_view_override_page_view_none'] = array('#markup' => t('No eligible views found.') . '<br />' . $description);
    return $form;
  }

  $form['commerce_cart_view_override_page_view'] = array(
    '#type' => 'select',
    '#title' => t('Cart page view'),
    '#description' => $description,
    '#options' => $cart_view_options,
    '#default_value' => variable_get('commerce_cart_view_override_page_view', 'commerce_cart_form'),
  );

  return system_settings_form($form);
}
